# HFProjectColorDialog
Date: 2018-06-14

kr.co.hanwha.hifive.dialog

## Class HFProjectColorDialog

- java.lang.Object
- - android.app.Dialog
  - - kr.co.hanwha.hifive.dialog.HFProjectColorDialog

All Implemented Interfaces:
  android.content.DialogInterface, android.view.KeyEvent.Callback, android.view.View.OnCreateContextMenuListener, android.view.Window.Callback

    public class HFProjectColorDialog
    extends android.app.Dialog

Created by sanghoonkwon on 2018. 2. 22..

### Nested Class Summary

Nested Classes
`static interface` `HFProjectColorDialog.OnDialogCallback` Callback

### Nested classes/interfaces inherited from interface android.content.DialogInterface

`android.content.DialogInterface.OnCancelListener, android.content.DialogInterface.OnClickListener, android.content.DialogInterface.OnDismissListener, android.content.DialogInterface.OnKeyListener, android.content.DialogInterface.OnMultiChoiceClickListener, android.content.DialogInterface.OnShowListener`

### Field Summary

Fields
`private HFProjectColorDialog.OnDialogCallback` `mCallback`
`private int` `mEvaluation`
`private android.widget.LinearLayout` `mLayoutGreen`
`private android.widget.LinearLayout` `mLayoutRed`
`private android.widget.LinearLayout` `mLayoutYellow`
`private android.widget.LinearLayout` `mLayoutYellowDouble`
`private android.widget.TextView` `mTextViewTitle`
`private java.lang.String` `mTitle`
`private ProjectEvaluationType` `mType`
`(package private) android.view.View.OnClickListener` `onClickListener` View.OnClickListener

### Fields inherited from interface android.content.DialogInterface

`BUTTON_NEGATIVE, BUTTON_NEUTRAL, BUTTON_POSITIVE, BUTTON1, BUTTON2, BUTTON3`

### Constructor Summary

Constructors
Constructor and Description
`HFProjectColorDialog(android.content.Context context)`
`HFProjectColorDialog(android.content.Context context, int themeResId)`
`HFProjectColorDialog(android.content.Context context, java.lang.String title, int evaluation, HFProjectColorDialog.OnDialogCallback callback)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `onCreate(android.os.Bundle savedInstanceState)`
`private void` `setType(ProjectEvaluationType type)`

### Methods inherited from class android.app.Dialog

`addContentView, cancel, closeOptionsMenu, create, dismiss, dispatchGenericMotionEvent, dispatchKeyEvent, dispatchKeyShortcutEvent, dispatchPopulateAccessibilityEvent, dispatchTouchEvent, dispatchTrackballEvent, findViewById, getActionBar, getContext, getCurrentFocus, getLayoutInflater, getOwnerActivity, getSearchEvent, getVolumeControlStream, getWindow, hide, invalidateOptionsMenu, isShowing, onActionModeFinished, onActionModeStarted, onAttachedToWindow, onBackPressed, onContentChanged, onContextItemSelected, onContextMenuClosed, onCreateContextMenu, onCreateOptionsMenu, onCreatePanelMenu, onCreatePanelView, onDetachedFromWindow, onGenericMotionEvent, onKeyDown, onKeyLongPress, onKeyMultiple, onKeyShortcut, onKeyUp, onMenuItemSelected, onMenuOpened, onOptionsItemSelected, onOptionsMenuClosed, onPanelClosed, onPrepareOptionsMenu, onPreparePanel, onRestoreInstanceState, onSaveInstanceState, onSearchRequested, onSearchRequested, onStart, onStop, onTouchEvent, onTrackballEvent, onWindowAttributesChanged, onWindowFocusChanged, onWindowStartingActionMode, onWindowStartingActionMode, openContextMenu, openOptionsMenu, registerForContextMenu, requestWindowFeature, setCancelable, setCanceledOnTouchOutside, setCancelMessage, setContentView, setContentView, setContentView, setDismissMessage, setFeatureDrawable, setFeatureDrawableAlpha, setFeatureDrawableResource, setFeatureDrawableUri, setOnCancelListener, setOnDismissListener, setOnKeyListener, setOnShowListener, setOwnerActivity, setTitle, setTitle, setVolumeControlStream, show, takeKeyEvents, unregisterForContextMenu`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface android.view.Window.Callback

`onPointerCaptureChanged, onProvideKeyboardShortcuts`

### Field Detail

#### mType

    private ProjectEvaluationType mType

#### mTextViewTitle

    private android.widget.TextView mTextViewTitle

#### mLayoutGreen

    private android.widget.LinearLayout mLayoutGreen

#### mLayoutYellow

    private android.widget.LinearLayout mLayoutYellow

#### mLayoutYellowDouble

    private android.widget.LinearLayout mLayoutYellowDouble

#### mLayoutRed

    private android.widget.LinearLayout mLayoutRed

#### mTitle

    private java.lang.String mTitle

#### mEvaluation

    private int mEvaluation

#### mCallback

    private HFProjectColorDialog.OnDialogCallback mCallback

#### onClickListener

    android.view.View.OnClickListener onClickListener

View.OnClickListener

### Constructor Detail

#### HFProjectColorDialog

    public HFProjectColorDialog(@NonNull
                                android.content.Context context)

#### HFProjectColorDialog

    public HFProjectColorDialog(@NonNull
                                android.content.Context context,
                                @StyleRes
                                int themeResId)

#### HFProjectColorDialog

    public HFProjectColorDialog(@NonNull
                                android.content.Context context,
                                @Nullable
                                java.lang.String title,
                                @Nullable
                                int evaluation,
                                @Nullable
                                HFProjectColorDialog.OnDialogCallback callback)

### Method Detail

#### onCreate

    protected void onCreate(android.os.Bundle savedInstanceState)

Overrides:
  `onCreate` in class `android.app.Dialog`

#### setType

    private void setType(@NonNull
                         ProjectEvaluationType type)